function $AdfOperaAgent$$($version$$39$$, $domWindow$$48$$) {
  this.Init($version$$39$$, $domWindow$$48$$);
}
$goog$exportSymbol$$("AdfOperaAgent", $AdfOperaAgent$$);
$AdfObject$$.$createSubclass$($AdfOperaAgent$$, $AdfAgent$$);
$AdfOperaAgent$$.prototype.Init = function $$AdfOperaAgent$$$$Init$($version$$40$$, $domWindow$$49$$) {
  $AdfOperaAgent$$.$superclass$.Init.call(this, $AdfAgent$$.$OPERA_PLATFORM$, $AdfAgent$$.$guessOS$(), $version$$40$$, $domWindow$$49$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOperaAgent.prototype.Init", {Init:$AdfOperaAgent$$.prototype.Init});
$AdfOperaAgent$$.prototype.$isLeftButton$ = function $$AdfOperaAgent$$$$$isLeftButton$$() {
  return 1 == this.$getDomWindow$().event.button;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOperaAgent.prototype.isLeftButton", {$isLeftButton$:$AdfOperaAgent$$.prototype.$isLeftButton$});
$AdfOperaAgent$$.prototype.preventDefault = function $$AdfOperaAgent$$$$preventDefault$($evt$$49$$) {
  $evt$$49$$.returnValue = !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOperaAgent.prototype.preventDefault", {preventDefault:$AdfOperaAgent$$.prototype.preventDefault});
$AdfOperaAgent$$.prototype.$CreateNativeLogWriter$ = function $$AdfOperaAgent$$$$$CreateNativeLogWriter$$() {
  return new $AdfOperaLogWriter$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOperaAgent.prototype.CreateNativeLogWriter", {$CreateNativeLogWriter$:$AdfOperaAgent$$.prototype.$CreateNativeLogWriter$});
$AdfOperaAgent$$.prototype.$getDescendantComponentsForNode$ = function $$AdfOperaAgent$$$$$getDescendantComponentsForNode$$($node$$53$$, $children$$8$$) {
  $children$$8$$ || ($children$$8$$ = []);
  if ($node$$53$$.firstChild) {
    for (var $page$$9$$ = $AdfPage$$.$PAGE$, $idNodes$$4$$ = this.$getDomDocument$().evaluate(".//*[@id]", $node$$53$$, null, XPathResult.ANY_TYPE, null), $comp$$3_currNode$$4$$ = $idNodes$$4$$.iterateNext();$comp$$3_currNode$$4$$;) {
      ($comp$$3_currNode$$4$$ = $page$$9$$.$findComponent$($comp$$3_currNode$$4$$.id)) && $children$$8$$.push($comp$$3_currNode$$4$$), $comp$$3_currNode$$4$$ = $idNodes$$4$$.iterateNext();
    }
  }
  return $children$$8$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOperaAgent.prototype.getDescendantComponentsForNode", {$getDescendantComponentsForNode$:$AdfOperaAgent$$.prototype.$getDescendantComponentsForNode$});
$AdfOperaAgent$$.prototype.$disableUserSelect$ = function $$AdfOperaAgent$$$$$disableUserSelect$$($element$$134$$) {
  $element$$134$$.setAttribute("unselectable", "on");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOperaAgent.prototype.disableUserSelect", {$disableUserSelect$:$AdfOperaAgent$$.prototype.$disableUserSelect$});
$AdfOperaAgent$$.prototype.$enableUserSelect$ = function $$AdfOperaAgent$$$$$enableUserSelect$$($element$$135$$) {
  $element$$135$$.removeAttribute("unselectable");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfOperaAgent.prototype.enableUserSelect", {$enableUserSelect$:$AdfOperaAgent$$.prototype.$enableUserSelect$});
$AdfOperaAgent$$.$__getAgentVersion$ = function $$AdfOperaAgent$$$$__getAgentVersion$$($userAgent$$14_versionSubstrings$$) {
  $userAgent$$14_versionSubstrings$$ = $userAgent$$14_versionSubstrings$$.match(/^Opera\s*\/?\s*(\d+\.\d+)/);
  var $agentVersion$$4$$ = 7.54;
  $userAgent$$14_versionSubstrings$$ && 2 <= $userAgent$$14_versionSubstrings$$.length && ($agentVersion$$4$$ = parseFloat($userAgent$$14_versionSubstrings$$[1]));
  return $agentVersion$$4$$;
};
$AdfOperaAgent$$.$__getSupported$ = function $$AdfOperaAgent$$$$__getSupported$$() {
  return !1;
};
$AdfOperaAgent$$.$__getSpecificAgentClassName$ = function $$AdfOperaAgent$$$$__getSpecificAgentClassName$$() {
  return "AdfOperaAgent";
};
